//
//  GSDocument+SerialImport.h
//  Glyphs
//
//  Created by Georg Seifert on 12.09.12.
//  Copyright (c) 2012 schriftgestaltung.de. All rights reserved.
//

#import <GlyphsCore/GSFont.h>
#import <GlyphsCore/GSFontMaster.h>
#import <GlyphsCore/GSGlyph.h>
#import <GlyphsCore/GSPath.h>
#import <GlyphsCore/GSNode.h>

#import <GlyphsCore/CFOldStylePList.h>

#ifdef GLYPHS_VIEWER_
// to make the objects link property
extern NSString * SerialImportCategory;
#endif

@interface GSFont (SerialImport)
- (instancetype)initWithGlyphsFileAtPath:(NSString *)path error:(NSError **)outError;
@end

@interface GSGlyph (SerialImport)
- (instancetype)initWithGlyphsParser:(GSPlistParseInfo *)pInfo format:(GSFormatVersion)formatVersion;
@end

@interface GSPath (SerialImport)
- (instancetype)initWithGlyphsParser:(GSPlistParseInfo *)pInfo format:(GSFormatVersion)formatVersion;
@end

@interface GSNode (SerialImport)
- (instancetype)initWithGlyphsParser:(GSPlistParseInfo *)pInfo format:(GSFormatVersion)formatVersion;
@end

@interface GSFontMaster (SerialImport)
- (instancetype)initWithGlyphsParser:(GSPlistParseInfo *)pInfo format:(GSFormatVersion)formatVersion;
- (BOOL)postRead:(NSError **)error format:(GSFormatVersion)formatVersion;
@end
